Bug 7876 - minimum age of password does not work
Summary: minimum age of password does not work
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: pam (Show other bugs)
(Show other bugs)
Version: 6.1
Hardware: All Linux
medium
medium
Target Milestone: ---
Assignee: Nalin Dahyabhai
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 1999-12-18 10:31 UTC by Max Valianskiy
Modified: 2008-05-01 15:37 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2003-01-24 23:53:39 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Max Valianskiy 1999-12-18 10:31:43 UTC
I tryed to enable minimum password age to prevent users from changeing
their
passwords too often (I really need this), but this does not work, passwd
changes password
as it was before I set limits.

[maxcom@cave maxcom]$ chage -l maxcom
Minimum:	7
Maximum:	31
Warning:	7
Inactive:	35
Last Change:		Dec 18, 1999
Password Expires:	Jan 18, 2000
Password Inactive:	Feb 22, 2000
Account Expires:	Never

[maxcom@cave maxcom]$ cat /etc/pam.d/passwd
#%PAM-1.0
auth       required	/lib/security/pam_pwdb.so shadow nullok md5
account    required	/lib/security/pam_pwdb.so
password   required	/lib/security/pam_cracklib.so retry=3
password   required	/lib/security/pam_pwdb.so use_authtok md5 shadow


I seems that passwd does not tryes to verify password minimum change time
at all.

Comment 1 Cristian Gafton 2000-05-22 15:36:59 UTC
assigned to nalin

Comment 2 Stephen John Smoogen 2003-01-24 23:53:39 UTC
Bug 7876 has been closed because it seems to have been fixed since 6.1


[test1user@glasya test1user]$ passwd
Changing password for user test1user.
Changing password for test1user
(current) UNIX password:
You must wait longer to change your password
passwd: Authentication token manipulation error



Note You need to log in before you can comment on or make changes to this bug.